# Method: accounts.adUnitMappings.batchCreate

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#body.BatchCreateAdUnitMappingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#body.aspect)
- [CreateAdUnitMappingRequest](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#CreateAdUnitMappingRequest)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#CreateAdUnitMappingRequest.SCHEMA_REPRESENTATION)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#try-it)

Batch create the ad unit mappings under the specific AdMob account. The maximum allowed batch size is 100.

<br />

This method has limited access. If you see a 403 permission denied error, please reach out to your account manager for access.

<br />

### HTTP request

`POST https://admob.googleapis.com/v1beta/{parent=accounts/*}/adUnitMappings:batchCreate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The AdMob account which owns this collection of ad unit mappings. Format: accounts/{publisherId} See <https://support.google.com/admob/answer/2784578> for instructions on how to find your AdMob publisher ID. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#CreateAdUnitMappingRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate#CreateAdUnitMappingRequest`)`` Required. The request message specifying the ad unit mappings to create. A maximum of 100 ad unit mappings can be created in a batch. If the number of ad unit mappings in the batch request exceed 100, the entire request will be rejected and no ad unit mappings will be created. |

### Response body

Response containing a batch of created ad unit mappings.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adUnitMappings": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings#AdUnitMapping`) } ] } ``` |

| Fields ||
|---|---|
| `adUnitMappings[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings#AdUnitMapping`)`` The Ad units mappings created under the requested account. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admob.monetization`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateAdUnitMappingRequest

Request to create an ad unit mapping under the specific AdMob account and ad unit.

| JSON representation |
|---|
| ``` { "parent": string, "adUnitMapping": { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings#AdUnitMapping`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent which owns the ad unit mapping. Format: accounts/{publisherId}/adUnits/{adUnitId} |
| `adUnitMapping` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings#AdUnitMapping`)`` Required. The ad unit mapping to create. |